Subject: bug#41480: closed (Re: bug#41480: Chars out of order in date.c string)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 23 May 2020 15:58:02 +0000

Your bug report

#41480: Chars out of order in date.c string

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41480: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41480
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41480: Chars out of order in date.c string
From: Paul Eggert <[email-masked]>
To: Anders Jonsson <[email-masked]>, [email-masked]
Cc: Göran Uddeborg <[email-masked]>
Date: Sat, 23 May 2020 08:57:23 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 5/23/20 4:41 AM, Anders Jonsson wrote:

> I noticed one thing when having a look at the Swedish translation of coreutils.
> 
>>#: src/date.c:196
>>msgid ""
>>"  %F   full date; like %+4Y-%m-%d\n"

There must be some confusion here, because this translation is for coreutils
8.31 and later.

> This doesn't give the expected result when I try it in coreutils 8.30 in Debian
> testing:

That's because the behavior of coreutils changed in 8.31. The translation string
you're talking about was introduced in coreutils 8.31, so I'm puzzled as to why
it'd be used with coreutils 8.30.

Here's the behavior change in 8.31:

https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=188d87b05190690d6f8b0577ec65ef221a711d08

and here's the closely-related documentation change in 8.31:

https://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=2ab2f7a422652a9ec887e08ca8935b44e9629505

Subject: Chars out of order in date.c string
From: Anders Jonsson <[email-masked]>
To: [email-masked]
Cc: Göran Uddeborg <[email-masked]>
Date: Sat, 23 May 2020 13:41:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I noticed one thing when having a look at the Swedish translation of 
coreutils.

 >#: src/date.c:196
 >msgid ""
 >"  %F   full date; like %+4Y-%m-%d\n"

This doesn't give the expected result when I try it in coreutils 8.30 in 
Debian testing:

 >date +%F
2020-05-23
 >date +%+4Y-%m-%d
%+4Y-05-23

If the "%" and the "+" change places in the string above we get the 
expected result:

 >date +%4Y-%m-%d
2020-05-23

My suggestion would thus be to change the character order so the string 
becomes "  %F   full date; like +%4Y-%m-%d\n"

Regards,
Anders Jonsson